org.apache.olingo.commons.api.edm.provider

## Class CsdlFunctionImport

- java.lang.Object
- - org.apache.olingo.commons.api.edm.provider.CsdlAbstractEdmItem
  - - org.apache.olingo.commons.api.edm.provider.CsdlOperationImport
    - - org.apache.olingo.commons.api.edm.provider.CsdlFunctionImport

- All Implemented Interfaces:
    CsdlAnnotatable, CsdlNamed

      public class CsdlFunctionImport
      extends CsdlOperationImport

  The type Csdl function import.

- - ### Field Summary

    - ### Fields inherited from class org.apache.olingo.commons.api.edm.provider.CsdlOperationImport

      `annotations, entitySet, name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CsdlFunctionImport()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getFunction()` Gets function.
    `FullQualifiedName` | `getFunctionFQN()` Gets function fQN.
    `String` | `getName()` Gets name.
    `String` | `getTitle()`
    `boolean` | `isIncludeInServiceDocument()` Is include in service document.
    `CsdlFunctionImport` | `setAnnotations(List<CsdlAnnotation> annotations)` Sets a list of annotations
    `CsdlFunctionImport` | `setEntitySet(String entitySet)` Sets entity set.
    `CsdlFunctionImport` | `setFunction(FullQualifiedName function)` Sets function.
    `CsdlFunctionImport` | `setFunction(String function)` Sets function.
    `CsdlFunctionImport` | `setIncludeInServiceDocument(boolean includeInServiceDocument)` Sets include in service document.
    `CsdlFunctionImport` | `setName(String name)` Sets name.
    `CsdlFunctionImport` | `setTitle(String title)` A human readable title for this instance

    - ### Methods inherited from class org.apache.olingo.commons.api.edm.provider.CsdlOperationImport

      `getAnnotations, getEntitySet`

    - ### Methods inherited from class org.apache.olingo.commons.api.edm.provider.CsdlAbstractEdmItem

      `getAllByName, getOneByName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CsdlFunctionImport

          public CsdlFunctionImport()

  - ### Method Detail

    - #### getName

          public String getName()

      Description copied from interface: `CsdlNamed`
      Gets name.
      Specified by:
        `getName` in interface `CsdlNamed`
      Overrides:
        `getName` in class `CsdlOperationImport`
      Returns:
        the name

    - #### setName

          public CsdlFunctionImport setName(String name)

      Description copied from class: `CsdlOperationImport`
      Sets name.
      Overrides:
        `setName` in class `CsdlOperationImport`
      Parameters:
        `name` - the name
      Returns:
        the name

    - #### setEntitySet

          public CsdlFunctionImport setEntitySet(String entitySet)

      Description copied from class: `CsdlOperationImport`
      Sets entity set.
      Overrides:
        `setEntitySet` in class `CsdlOperationImport`
      Parameters:
        `entitySet` - the entity set
      Returns:
        the entity set

    - #### getFunction

          public String getFunction()

      Gets function.
      Returns:
        the function

    - #### getFunctionFQN

          public FullQualifiedName getFunctionFQN()

      Gets function fQN.
      Returns:
        the function fQN

    - #### setFunction

          public CsdlFunctionImport setFunction(FullQualifiedName function)

      Sets function.
      Parameters:
        `function` - the function
      Returns:
        the function

    - #### setFunction

          public CsdlFunctionImport setFunction(String function)

      Sets function.
      Parameters:
        `function` - the function
      Returns:
        the function

    - #### isIncludeInServiceDocument

          public boolean isIncludeInServiceDocument()

      Is include in service document.
      Returns:
        the boolean

    - #### setIncludeInServiceDocument

          public CsdlFunctionImport setIncludeInServiceDocument(boolean includeInServiceDocument)

      Sets include in service document.
      Parameters:
        `includeInServiceDocument` - the include in service document
      Returns:
        the include in service document

    - #### setAnnotations

          public CsdlFunctionImport setAnnotations(List<CsdlAnnotation> annotations)

      Description copied from class: `CsdlOperationImport`
      Sets a list of annotations
      Overrides:
        `setAnnotations` in class `CsdlOperationImport`
      Parameters:
        `annotations` - list of annotations
      Returns:
        this instance

    - #### getTitle

          public String getTitle()

    - #### setTitle

          public CsdlFunctionImport setTitle(String title)

      A human readable title for this instance
      Parameters:
        `title` -
      Returns:
        this instance

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.